package com.huatek.busi.common;

import lombok.Getter;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * gis评估参数枚举
 */
public enum GisAssessEnum {
    RATED_VOLTAGE("0046", "额定电压(kV)"),

    RATED_CURRENT("0047", "额定电流(kA)"),

    BREAK_CURRENT("0048", "额定短路断开电流(kA)"),

    SHORT_CIRCUIT_BREAKING_TIMES("0049", "额定短路断开次数"),

    ASSESSMENT_START_TIME("0050", "健康评估起始时间"),

    OPERATION_TIME("0051", "投运时间"),

    GIS_ASSET_VALUE("0052", "GIS资产价值（万元）"),

    PRODUCT_MATURITY("0053", "产品成熟度(套数)"),

    POPULARITY("0054", "知名度"),

//    DATE_OF_PRODUCTION("0055", "出厂年月"),

    ALTITUDE("0056", "海拔海拔"),

    DESIGN_SERVICE_LIFE("0057", "设计使用年限（年）"),

    DIFFERENT_CLOSE_PERIODS_A("0073", "合闸不同期(ms)A相"),

    DIFFERENT_CLOSE_PERIODS_B("0078", "合闸不同期(ms)B相"),

    DIFFERENT_CLOSE_PERIODS_C("0083", "合闸不同期(ms)C相"),

    DIFFERENT_OPEN_PERIODS_A("0072", "分闸不同期(ms)A相"),

    DIFFERENT_OPEN_PERIODS_B("0077", "分闸不同期(ms)B相"),

    DIFFERENT_OPEN_PERIODS_C("0082", "分闸不同期(ms)C相"),

    RIGID_PARTIAL_VELOCITY_A("0070", "刚分速度(ms)A相"),

    RIGID_PARTIAL_VELOCITY_B("0075", "刚分速度(ms)B相"),

    RIGID_PARTIAL_VELOCITY_C("0080", "刚分速度(ms)c相"),

    RIGID_CLOSE_SPEED_A("0071", "刚合速度(ms)A相"),

    RIGID_CLOSE_SPEED_B("0076", "刚合速度(ms)B相"),

    RIGID_CLOSE_SPEED_C("0081", "刚合速度(ms)c相"),

    CONDUCTIVE_LOOP_RESISTANCE_A("0067", "A相导电回路电阻(μΩ)"),

    CONDUCTIVE_LOOP_RESISTANCE_B("0068", "B相导电回路电阻(μΩ)"),

    CONDUCTIVE_LOOP_RESISTANCE_C("0069", "C相导电回路电阻(μΩ)"),

    CHAMBER_PRESSURE_VALUE_A("0058", "A相气室压力实测值(kPa)"),

    CHAMBER_PRESSURE_VALUE_B("0059", "B相气室压力实测值(kPa)"),

    CHAMBER_PRESSURE_VALUE_C("0060", "C相气室压力实测值(kPa)"),

    MICRO_WATER_CONTENT_VALUE_A("0061", "A相微水含量(μl/L)"),

    MICRO_WATER_CONTENT_VALUE_B("0062", "B相微水含量(μl/L)"),

    MICRO_WATER_CONTENT_VALUE_C("0063", "C相微水含量(μl/L)"),

    SHORT_CIRCUIT_BREAK_CURRENT("0086", "短路断开电流"),

    PARTIAL_DISCHARGE_TIME("0087", "局放次数"),

    PARTIAL_DISCHARGE_VALUE("0097", "局放量"),

    ENVIRONMENT_COEFFICIENT("0088", "环境系数"),

    OPERATE_MECHANISM_LUBRICATION("0089", "操作机构润滑"),

    MAIN_BODY_APPEARANCE("0090", "主体、机构外观"),

    SUPPORT_INSULATION_PART("0091", "支持绝缘部分"),

    MAIN_CIRCUIT_TERMINAL("0092", "主回路端子"),

    CIRCUIT_BREAKER_MAINTENANCE_TIME("0093", "同类断路器维护次数"),

    MAINTENANCE_TIME("0094", "检修次数"),

    OPERATING_AMBIENT_TEMPERATURE("0096", "使用环境温度"),

    OPERATE_AMBIENT_HUMIDITY("0095", "使用环境湿度"),

    /****************************20230714追加******************************/
    //运行数据-时间参数-其他
    YXSJ_SJCS_QT("0125", "其他"),
    //运行数据-速度特征-其他
    YXSJ_SDTZ_QT("0126", "其他"),

    YXSJ_DQSY_JYDZ_A("0127", "绝缘电阻A"),

    YXSJ_DQSY_JYDZ_B("0128", "绝缘电阻B"),

    YXSJ_DQSY_JYDZ_C("0129", "绝缘电阻C"),

    YXSJ_DQSY_JZSH_A("0130", "介质损耗A"),

    YXSJ_DQSY_JZSH_B("0131", "介质损耗B"),

    YXSJ_DQSY_JZSH_C("0132", "介质损耗C"),

    YXSJ_DQSY_DRL_A("0133", "电容量A"),

    YXSJ_DQSY_DRL_B("0134", "电容量B"),

    YXSJ_DQSY_DRL_C("0135", "电容量C"),

    YXSJ_DQSY_HZXQZLDZ_A("0136", "合闸线圈直流电阻A"),

    YXSJ_DQSY_HZXQZLDZ_B("0137", "合闸线圈直流电阻B"),

    YXSJ_DQSY_HZXQZLDZ_C("0138", "合闸线圈直流电阻C"),

    YXSJ_DQSY_FZXQZLDZ_A("0139", "分闸线圈直流电阻A"),

    YXSJ_DQSY_FZXQZLDZ_B("0140", "分闸线圈直流电阻B"),

    YXSJ_DQSY_FZXQZLDZ_C("0141", "分闸线圈直流电阻C"),

    //绝缘介质-SF6在线数据-其他
    YXSJ_JYJZ_QT("0142", "其他"),

    YXCS_GZHJ_QYRZYL("0143", "气压、日照、雨量");

    @Getter
    private final String key;
    @Getter
    private final String value;

    GisAssessEnum(String key, String value) {
        this.key = key;
        this.value = value;
    }

    public static List<String> getKeys() {
        List<String> keyList = new ArrayList<>();
        for (GisAssessEnum gisAssessEnum : GisAssessEnum.values()) {
            keyList.add(gisAssessEnum.key);
        }
        return keyList;
    }
}
